﻿<MudDialog>
    <DialogContent>
        @Content
    </DialogContent>
    <DialogActions>
        <MudButton Color="Color.Primary" OnClick="AddAnother">Cancel</MudButton>
        <MudButton OnClick="Return">Yes</MudButton>
    </DialogActions>
</MudDialog>

@code {
    [CascadingParameter] MudDialogInstance MudDialog { get; set; }

    [Parameter]
    public string Content { get; set; }

    void Return() => MudDialog.Close(DialogResult.Ok(true));
    void AddAnother() => MudDialog.Cancel();
}
